import { Store } from 'redux';
import { StateWithHistory } from 'redux-undo';
import { CanvasTableState } from './canvas-table/canvas-table.state';
import { EventContainerState } from './event-container/event-container-state';
import { TextToggleButtonGroupState } from './event-container/mode-switch/text-toggle-button-group.state';
import { EventListState } from './event-list/event-list.state';
import { DataState } from './event/data.state';
import { IKaiSchedulerConfig } from './kai-scheduler-config';
import { MainState } from './kai-scheduler.main.state';
import { ResizerState } from './resizer/resizer.state';
import { PlannedStopsState } from './resource-tree/planned-stops.state';
import { ScrollerState } from './scroller/scroller.state';
import { SearchState } from './search/search.state';
import { CommonState } from './shared/common.state';
import { TargetPickerState } from './target-picker/target-picker.state';
import { TimelineState } from './timeline/timeline-state';
import { TreeState } from './tree/tree.state';
import { IconButtonGroupState } from './icon-button/icon-button-group.state';
export declare type SchedulerAction = ResizerState.actions | ScrollerState.actions | MainState.actions | CanvasTableState.actions | CommonState.actions | EventContainerState.actions | TimelineState.actions | TargetPickerState.actions | TextToggleButtonGroupState.actions | TreeState.actions | SearchState.actions | DataState.actions;
export interface ISchedulerState {
    common: CommonState.State;
    eventContainer: EventContainerState.State;
    eventList: EventListState.State;
    data: StateWithHistory<DataState.States>;
    iconButtonGroups: IconButtonGroupState.GroupStates;
    main: MainState.State;
    plannedStops: PlannedStopsState.States;
    resizers: ResizerState.States;
    scrollers: ScrollerState.States;
    search: SearchState.State;
    tables: CanvasTableState.States;
    targetPicker: TargetPickerState.State;
    timeline: TimelineState.State;
    toggleGroups: TextToggleButtonGroupState.States;
    trees: TreeState.States;
}
export declare const configureStore: (preloadedState: ISchedulerState) => Store<ISchedulerState, SchedulerAction>;
export declare const getPreloadedState: (width: number, height: number, config: IKaiSchedulerConfig) => ISchedulerState;
